Bug 1011518 - Thunar 1.6.10 crashes when renaming files
Thunar 1.6.10 crashes when renaming files
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Xfce
Leap 42.2
x86-64 Other
: P5 - None : Major (vote)
: ---
Assigned To: Stefan Seyfried
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-22 02:47 UTC by David Dusanic
Modified: 2019-10-10 19:11 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Dusanic 2016-11-22 02:47:12 UTC
It is easy to reproduce though it does not happen every time.
When I rename a file in Xfce's file manager Thunar it often crashes and I have to reopen Thunar.

Interesting thing is it did not happen on OpenSUSE Leap 42.1 but it happens after the upgrade to Leap 42.2. I upgraded my system via USB by dd'ing the netinstall image if it matters. 

It is also a known bug:

https://bugzilla.xfce.org/show_bug.cgi?id=12264
Comment 1 Ronny Peine 2017-02-08 22:18:33 UTC
Hello,

as it seems a patch has been created at the given bugzilla entry from Dusanic.
Could this maybe be integrated into the Leap 42.2 version of Thunar?
I would test it and report back how it works out.

Kind regards,
Ronny
Comment 2 Ronny Peine 2017-02-16 06:00:25 UTC
Hello again,

anyone maintaining Xfce at all?
The patch is now committed upstream, would be nice to get it in openSUSE 42.2, too, because this bug is really annoying.

Kind regards,
Ronny
Comment 3 David Dusanic 2017-02-16 15:00:07 UTC
I would really like to see a fix in a release that is considered stable and long term. At the moment not really. So much talk about OpenSUSE would provide all desktops equally supported.  

Sorry for the rant. I would do it myself but I am not a maintainer. 

Kind regards.
Comment 4 Ronny Peine 2017-02-16 23:02:59 UTC
Hello,

I'm sorry to assign this bug report to you, but as I have seen not one report with assignee bnc-team-xfce has gotten any feedback. So I'm questioning if there is anybody behind this address or if there maybe is a problem with the mailsystem or something like this.
You can assign it back if you want.

Kind regards,
Ronny
Comment 5 Ronny Peine 2017-02-23 23:03:41 UTC
Hello,

I have created a patched version of Thunar.
You can download it from
https://software.opensuse.org/download.html?project=home%3Aronnypeine%3Abranches%3AopenSUSE%3ALeap%3A42.2%3AUpdate&package=thunar

Please test it.
I will try to get this submitted if I get positive feedback.
My local tests so far were good.

Kind regards,
Ronny
Comment 6 Stefan Seyfried 2017-02-27 19:24:23 UTC
taking over.
Comment 7 Stefan Seyfried 2017-02-27 19:37:41 UTC
I pulled your package into X11:xfce repo, the only additional change being the added patch-tag:
https://build.opensuse.org/package/rdiff/X11:xfce/thunar?linkrev=base&rev=124

Am I correct that you "just" collected patches from thunar git / devel versions into thunar-bugfixes.patch? (This is just to check if the patch tag is correct. If you have additional fixes in the patch, we should make sure those are submitted upstream)
Comment 8 Ronny Peine 2017-02-27 20:11:45 UTC
(In reply to Stefan Seyfried from comment #7)
> I pulled your package into X11:xfce repo, the only additional change being
> the added patch-tag:
> https://build.opensuse.org/package/rdiff/X11:xfce/thunar?linkrev=base&rev=124
> 
> Am I correct that you "just" collected patches from thunar git / devel
> versions into thunar-bugfixes.patch? (This is just to check if the patch tag
> is correct. If you have additional fixes in the patch, we should make sure
> those are submitted upstream)

Hi Stefan,

yes, you are right. I only applied changes from upstream which are already in Thunar 1.6.11. We could also integrate Thunar 1.6.11. It has the following additional fixes, which I have not integrated because of possible fear of too much unrelated changes:
- Expand the name column by default in details view (bxo #11357)
- Silently ignore G_IO_ERROR_FAILED_HANDLED (bxo #8695)
- Translation updates: Arabic, Asturian, Basque, Bulgarian, Catalan, Croatian, Danish, Dutch (Flemish), English (Australia), English (Great Britain), Finnish, French, Galician, German, Greek, Hebrew, Hungarian, Icelandic, Indonesian, Italian, Korean, Lithuanian, Norwegian Bokmal, Norwegian Nynorsk, Occitan, Portuguese, Portuguese (Brazilian), Slovak, Swedish

See https://git.xfce.org/xfce/thunar/tag/?id=thunar-1.6.11 for reference.
I can help creating the 1.6.11 package if wished.
It would be nice if you could be added to bnc-team-xfce. You don't need to fix every bug, but at least you could integrate some proposed patches from upstream to fix reported bugs in openSUSE:)

I'm trying to help Mikhail on boo #1012237, too.

Kind regards,
Ronny
Comment 9 Mikhail Kasimov 2017-02-27 20:55:08 UTC
Hello!

(In reply to David Dusanic from comment #0)

> Interesting thing is it did not happen on OpenSUSE Leap 42.1 but it happens
> after the upgrade to Leap 42.2.

The same to me. And seems your current report and my boo#1012237 have the same nature.
Comment 10 Stefan Seyfried 2017-02-28 16:40:26 UTC
maintenance requests 460924 and 460925 for 42.1 and 42.2 created

https://build.opensuse.org/request/show/460924
https://build.opensuse.org/request/show/460925
Comment 11 David Dusanic 2017-02-28 17:21:46 UTC
(In reply to Mikhail Kasimov from comment #9)
> Hello!
> 
> (In reply to David Dusanic from comment #0)
> 
> > Interesting thing is it did not happen on OpenSUSE Leap 42.1 but it happens
> > after the upgrade to Leap 42.2.
> 
> The same to me. And seems your current report and my boo#1012237 have the
> same nature.

Correct. Same thing here.

I am also happy to see someone is taking over and making Xfce again a real citizen in OpenSUSE.
Comment 12 Stefan Seyfried 2017-03-01 18:47:03 UTC
Takashi and me are sort of maintaining XFCE since Guido left, but of course every bit of help is appreciated.

Where you can help:
* testing. My usage of XFCE only covers basic functionality, I would never have found the Thunar issue, simply because I do never use it as a file manager, only (if ever) to open removable media and (very seldom) copying files to my phone via MTP.
* bug reporting. And maybe pointing out from time to time on opensuse-factory ml if there are forgotten bug reports. I have now created a bugzilla search that searhces for "bnc-team-xfce" owned bug reports, but I cannot promise that I will use that search on a regular base. I'll now work slowly through the list of bugs.
* patches and submitrequests are of course always welcome. My focuse certainly is on tumbleweed, but fortunately(?) the state of XFCE in tumbleweed is still not that different from the one in the released distributions.

Thanks for the cooperation
Comment 13 Ronny Peine 2017-03-01 20:29:17 UTC
(In reply to Stefan Seyfried from comment #12)
> Takashi and me are sort of maintaining XFCE since Guido left, but of course
> every bit of help is appreciated.
> 
> Where you can help:
> * testing. My usage of XFCE only covers basic functionality, I would never
> have found the Thunar issue, simply because I do never use it as a file
> manager, only (if ever) to open removable media and (very seldom) copying
> files to my phone via MTP.
> * bug reporting. And maybe pointing out from time to time on
> opensuse-factory ml if there are forgotten bug reports. I have now created a
> bugzilla search that searhces for "bnc-team-xfce" owned bug reports, but I
> cannot promise that I will use that search on a regular base. I'll now work
> slowly through the list of bugs.
> * patches and submitrequests are of course always welcome. My focuse
> certainly is on tumbleweed, but fortunately(?) the state of XFCE in
> tumbleweed is still not that different from the one in the released
> distributions.
> 
> Thanks for the cooperation

Hi Stefan,

thanks for your feedback, I have been going through all the Xfce bugs so far and am regularly checking for status updates. Some of them are not really Xfce bugs, so I try to reassign them. The Lightdm maintainer seems to ignore the bugreports.
The Greybird theme bug I have already assigned to you, it needs an update in Leap 42.2 and there is already a good version in X11:xfce.
State of Xfce after all these fixes (thunar, greybird) should be quite good in Leap 42.2. I'm using many parts of XFCE, so most bugs I have experienced myself.
With this we should at least get to the quality of Leap 42.1 and reduce regressions.

Kind regards,
Ronny
Comment 14 Ronny Peine 2017-03-08 20:36:26 UTC
Hi,

when will this update arrive at the update repos? It is now taking a week since my approval. Does it hang somewhere?

Kind regards,
Ronny
Comment 15 Benjamin Brunner 2017-03-10 13:59:09 UTC
Update is released now.

After it's built, we leave it for ~7 days in the testing-repository if there are some issues, before we release the update. (see https://en.opensuse.org/openSUSE:Maintenance_update_process)

Resolved fixed.
Comment 16 Ronny Peine 2017-03-10 17:00:46 UTC
Thanks,

nice to know:)

Kind regards,
Ronny
Comment 17 Swamp Workflow Management 2017-03-10 17:09:02 UTC
openSUSE-RU-2017:0652-1: An update that has two recommended fixes can now be installed.

Category: recommended (important)
Bug References: 1011518,1012237
CVE References: 
Sources used:
openSUSE Leap 42.2 (src):    thunar-1.6.10-6.1
openSUSE Leap 42.1 (src):    thunar-1.6.10-7.1
Comment 18 Markus Elfring 2017-04-24 10:57:48 UTC
(In reply to Stefan Seyfried from comment #12)

Will the clarification of corresponding implementation details be continued with a report like “SEGV (11) on /usr/bin/thunar (on moving files via Ctrl-C Ctrl-V)”?
https://bugzilla.opensuse.org/show_bug.cgi?id=1012237#c25

Does this file management software need any more system checks and further considerations?
Comment 19 Swamp Workflow Management 2019-08-05 10:10:08 UTC
This is an autogenerated message for OBS integration:
This bug (1011518) was mentioned in
https://build.opensuse.org/request/show/720992 Backports:SLE-12-SP2 / exo+libgarcon+libxfce4ui+libxfce4util+perl-ExtUtils-Depends+perl-ExtUtils-PkgConfig+perl-Glib+thunar+xfce4-dev-tools+xfce4-panel+xfconf
Comment 20 Swamp Workflow Management 2019-10-10 19:11:18 UTC
openSUSE-RU-2019:2305-1: An update that solves one vulnerability and has 10 fixes is now available.

Category: recommended (moderate)
Bug References: 1011518,1047218,1135362,637694,687874,760492,764310,767145,829113,860479,952324
CVE References: CVE-2011-1588
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    exo-0.12.0-2.1, libgarcon-0.6.1-2.1, libxfce4ui-4.12.1-2.1, libxfce4util-4.12.1-2.1, perl-ExtUtils-Depends-0.405-2.1, perl-ExtUtils-PkgConfig-1.160000-2.1, perl-Glib-1.326-2.1, thunar-1.6.14-2.1, xfce4-dev-tools-4.12.0-2.1, xfce4-panel-4.12.2-2.1, xfconf-4.12.1-2.1